Trouble with installing on Ubuntu 20.04

General support for problems installing or using Deluge
death_is_invtbl
New User
New User
Posts: 6
Joined: Fri Sep 20, 2019 8:12 pm

Trouble with installing on Ubuntu 20.04

Postby death_is_invtbl » Fri Jun 19, 2020 12:14 am

deluge 2.0.4.dev23
Python: 2.7.18rc1
OS: Linux 5.4.0-37-generic

TypeError: Couldn't find foreign struct converter for 'cairo.Context'
22:19:36.597 [ERROR ][deluge.ui.gtk3.gtkui :1207] /lib/x86_64-linux-gnu/libboost_python38.so.1.71.0: undefined symbol: _Py_tracemalloc_config
Traceback (most recent call last):
File "/usr/local/lib/python2.7/dist-packages/deluge-2.0.4.dev23-py2.7.egg/deluge/ui/gtk3/gtkui.py", line 310, in _on_reactor_start
client.start_standalone()
File "/usr/local/lib/python2.7/dist-packages/deluge-2.0.4.dev23-py2.7.egg/deluge/ui/client.py", line 640, in start_standalone
self._daemon_proxy = DaemonStandaloneProxy(self.__event_handlers)
File "/usr/local/lib/python2.7/dist-packages/deluge-2.0.4.dev23-py2.7.egg/deluge/ui/client.py", line 461, in __init__
from deluge.core import daemon
File "/usr/local/lib/python2.7/dist-packages/deluge-2.0.4.dev23-py2.7.egg/deluge/core/daemon.py", line 22, in <module>
from deluge.core.core import Core
File "/usr/local/lib/python2.7/dist-packages/deluge-2.0.4.dev23-py2.7.egg/deluge/core/core.py", line 28, in <module>
from deluge._libtorrent import LT_VERSION, lt
File "/usr/local/lib/python2.7/dist-packages/deluge-2.0.4.dev23-py2.7.egg/deluge/_libtorrent.py", line 25, in <module>
import libtorrent as lt
ImportError: /lib/x86_64-linux-gnu/libboost_python38.so.1.71.0: undefined symbol: _Py_tracemalloc_config
TypeError: Couldn't find foreign struct converter for 'cairo.Context'
TypeError: Couldn't find foreign struct converter for 'cairo.Context'
TypeError: Couldn't find foreign struct converter for 'cairo.Context'
TypeError: Couldn't find foreign struct converter for 'cairo.Context'
TypeError: Couldn't find foreign struct converter for 'cairo.Context'
TypeError: Couldn't find foreign struct converter for 'cairo.Context'
TypeError: Couldn't find foreign struct converter for 'cairo.Context'
TypeError: Couldn't find foreign struct converter for 'cairo.Context'
TypeError: Couldn't find foreign struct converter for 'cairo.Context'


only thin client is working

death_is_invtbl
New User
New User
Posts: 6
Joined: Fri Sep 20, 2019 8:12 pm

Re: Trouble with installing on Ubuntu 20.04

Postby death_is_invtbl » Fri Jun 19, 2020 12:15 am

tryin to install stable bild, the same errors

death_is_invtbl
New User
New User
Posts: 6
Joined: Fri Sep 20, 2019 8:12 pm

Re: Trouble with installing on Ubuntu 20.04

Postby death_is_invtbl » Fri Jun 19, 2020 12:22 am

after sudo apt-get install python-gi-cairo

02:21:15.586 [ERROR ][deluge.ui.gtk3.gtkui :1207] /lib/x86_64-linux-gnu/libboost_python38.so.1.71.0: undefined symbol: _Py_tracemalloc_config
Traceback (most recent call last):
File "/usr/local/lib/python2.7/dist-packages/deluge-2.0.4.dev23-py2.7.egg/deluge/ui/gtk3/gtkui.py", line 310, in _on_reactor_start
client.start_standalone()
File "/usr/local/lib/python2.7/dist-packages/deluge-2.0.4.dev23-py2.7.egg/deluge/ui/client.py", line 640, in start_standalone
self._daemon_proxy = DaemonStandaloneProxy(self.__event_handlers)
File "/usr/local/lib/python2.7/dist-packages/deluge-2.0.4.dev23-py2.7.egg/deluge/ui/client.py", line 461, in __init__
from deluge.core import daemon
File "/usr/local/lib/python2.7/dist-packages/deluge-2.0.4.dev23-py2.7.egg/deluge/core/daemon.py", line 22, in <module>
from deluge.core.core import Core
File "/usr/local/lib/python2.7/dist-packages/deluge-2.0.4.dev23-py2.7.egg/deluge/core/core.py", line 28, in <module>
from deluge._libtorrent import LT_VERSION, lt
File "/usr/local/lib/python2.7/dist-packages/deluge-2.0.4.dev23-py2.7.egg/deluge/_libtorrent.py", line 25, in <module>
import libtorrent as lt
ImportError: /lib/x86_64-linux-gnu/libboost_python38.so.1.71.0: undefined symbol: _Py_tracemalloc_config

mhertz
Compulsive Poster
Compulsive Poster
Posts: 785
Joined: Wed Jan 22, 2014 5:05 am
Location: Denmark

Re: Trouble with installing on Ubuntu 20.04

Postby mhertz » Fri Jun 19, 2020 6:35 am

Try build/install deluge2 and it's deps using py3 versions. Boost python bindings are py38 from your log so you atleast have py38 installed seemingly, but built/installed deluge2 under py2. Deluge2 atleast initially supported py2, but was a kinda fallback mode and not recommended by lead dev Cas when I asked him some years ago during beta1 launch of deluge2. If wanna stick with py2, then don't mix and match py2 and py3 together, and vice versa for py3, which would be the recommend approach as previously mentioned.

Edit: Sorry, for some reason I got it in my head that you where using a manual source build install, despite you never stated that, so not really sure why the automated dep handling of package manager didn't just pull in all needed and correct deps. I would start new, and uninstall all, and start fresh.

Edit2: Lol, you're probably installing from source I presume, with the dev deluge and /usr/local install path. Anyway, it's stated deluge 2.0.3 is available in Ubuntu 20.04 repos('sudo apt-get install deluge'), so either get it there, with automatic dep handling, or use a PPA, like official deluge docs state for ubuntu:

https://deluge.readthedocs.io/en/latest ... stall.html

Also mentioned here in other guide for ubuntu 20.04:

https://www.linuxbabe.com/ubuntu/instal ... untu-20-04


Return to “Support”

Who is online

Users browsing this forum: No registered users and 3 guests